cURL
curl --request PUT \
--url https://app.aegister.com/api/v1/cloud-defender/{id} \
--header 'Content-Type: application/json' \
--header 'X-Aegister-Token: <api-key>' \
--data '
{
"organization": 123,
"fqdn": "<string>",
"email": "jsmith@example.com",
"endpoint": "127.0.0.1",
"services": []
}
'import requests
url = "https://app.aegister.com/api/v1/cloud-defender/{id}"
payload = {
"organization": 123,
"fqdn": "<string>",
"email": "jsmith@example.com",
"endpoint": "127.0.0.1",
"services": []
}
headers = {
"X-Aegister-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Aegister-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organization: 123,
fqdn: '<string>',
email: 'jsmith@example.com',
endpoint: '127.0.0.1',
services: []
})
};
fetch('https://app.aegister.com/api/v1/cloud-defender/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 0,
"messages": "<array>",
"data": {
"id": 2,
"organization": {
"id": 123,
"name": "<string>",
"logo": "<string>"
},
"email": "jsmith@example.com",
"fqdn": "<string>",
"check": {
"stat": {
"fqdn": 0,
"proxy": 0,
"endpoint": 0,
"datetime": "2023-11-07T05:31:56Z"
},
"status": 0,
"web_stat": [
{
"datetime": "2023-11-07T05:31:56Z",
"waf_protection": 1,
"total_managed_requests": 1
}
]
},
"endpoint": "127.0.0.1",
"services": []
}
}{
"error": 0,
"messages": "<array>"
}{
"error": 0,
"messages": "<array>"
}{
"error": 0,
"messages": "<array>"
}Cloud Defender
Edit Cloud Defender configuration
Edit a Cloud Defender configuration in the Web Application.
You can edit only a Cloud Defender configuration for an organization you can manage.
PUT
/
api
/
v1
/
cloud-defender
/
{id}
cURL
Authorizations
ApiKeyAuthApiKeyQueryParam
Path Parameters
Body
application/jsonmultipart/form-data
Organization unique identifier for which the Cloud Defender is installed.
Examples:
5
10
15
(Fully Qualified Domain Name) is your web application domain name.
Example:
"sample.com"
Email address of the Cloud Defender manager.
Example:
"jdoe@sample.com"
Web application exposed interface address.
Example:
"11.22.33.44"
The services you need to activate for the web application.
Available options:
Caching, DDoS, OneFirewall, WAF ⌘I

